## org.apache.batik.bridge.svg12
Class XBLContentElementBridge.ContentChangedListener

    java.lang.Object
      org.apache.batik.bridge.svg12.XBLContentElementBridge.ContentChangedListener

All Implemented Interfaces:
  java.util.EventListener, ContentSelectionChangedListener

Enclosing class:
  XBLContentElementBridge

    protected class XBLContentElementBridge.ContentChangedListener

extends java.lang.Object
implements ContentSelectionChangedListener

Class to respond to content selection changes and cause GVT rebuilds.

Constructor Summary
`protected` `XBLContentElementBridge.ContentChangedListener()`

Method Summary
`void` `contentSelectionChanged(ContentSelectionChangedEvent csce)` Invoked after an xbl:content element has updated its selected nodes list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XBLContentElementBridge.ContentChangedListener

    protected XBLContentElementBridge.ContentChangedListener()

Method Detail

### contentSelectionChanged

    public void contentSelectionChanged(ContentSelectionChangedEvent csce)

  Invoked after an xbl:content element has updated its selected nodes list.

  Specified by:
    `contentSelectionChanged` in interface `ContentSelectionChangedListener`
  Parameters:
    `csce` - the ContentSelectionChangedEvent object

Copyright © 2008 Apache Software Foundation. All Rights Reserved.